SUMO
Simulation of Urban MObility

- Home
- Download
- Documentation
- Wiki
- Trac
- Blog
- Contact
- SF-Project

# JTRROUTER

# From 30.000 feet

JTRROUTER computes routes that may be used by SUMO using different amount definitions and junction turning percentages.

  Purpose: Building vehicle routes from demand definitions using junction turning percentages
  System: portable (Linux/Windows is tested); runs on command line
  Input (mandatory):
    A) a road network as generated via NETCONVERT or NETGENERATE, see Building Networks
    B) a demand definition, see Demand Modelling
    C) Junction turning definitions
  Output: Definition of Vehicles, Vehicle Types, and Routes usable by SUMO
  Programming Language: c++

# Usage Description

## Options

You may use a XML schema definition file for setting up a JTRROUTER configuration: jtrrouterConfiguration.xsd.

### Configuration

All applications of the SUMO-suite handle configuration options the same way. These options are discussed at Basics/Using the Command Line Applications#Configuration Files.

Option | Description
--- | ---
-c <FILE> --configuration-file <FILE> | Loads the named config on startup
--save-configuration <FILE> | Saves current configuration into FILE
--save-template <FILE> | Saves a configuration template (empty) into FILE
--save-schema <FILE> | Saves the configuration schema into FILE
--save-commented | Adds comments to saved template, configuration, or schema; default: false

### Input

Option | Description
--- | ---
-n <FILE> --net-file <FILE> | Use FILE as SUMO-network to route on
-d <FILE> --taz-files <FILE> | Read (additional) districts from FILE
-a <FILE> --alternative-files <FILE> | Read alternatives from FILE
-f <FILE> --flow-files <FILE> | Read flow-definitions from FILE(s)
-t <FILE> --turn-ratio-files <FILE> | Read turning ratios from FILE

### Output

Option | Description
--- | ---
-o <FILE> --output-file <FILE> | Write generated routes to FILE
--exit-times | Write exit times (weights) for each edge; default: false

### Processing

Option | Description
--- | ---
--ignore-errors | Continue if a route could not be build; default: false
--unsorted-input | Assume input is unsorted; default: false
--randomize-flows | generate random departure times for flow input; default: false
--max-alternatives <INT> | Prune the number of alternatives to INT; default: 5
--remove-loops | Remove loops within the route; Remove turnarounds at start and end of the route; default: false
--repair | Tries to correct a false route; default: false
--weights.interpolate | Interpolate edge weights at interval boundaries; default: false
--with-taz | Use origin and destination zones (districts) for in- and output; default: false
--max-edges-factor <FLOAT> | default: 2
-T <STRING> --turn-defaults <STRING> | Use STR as default turn definition; default: 30,50,20
-s <STRING> --sink-edges <STRING> | Use STR as list of sink edges
-A --accept-all-destinations | Whether all edges are allowed as sink edges; default: false
-i --ignore-vclasses | Ignore road restrictions based on vehicle class; default: false

### Defaults

Option | Description
--- | ---
--departlane <STRING> | Assigns a default depart lane
--departpos <STRING> | Assigns a default depart position
--departspeed <STRING> | Assigns a default depart speed
--arrivallane <STRING> | Assigns a default arrival lane
--arrivalpos <STRING> | Assigns a default arrival position
--arrivalspeed <STRING> | Assigns a default arrival speed
--defaults-override | Defaults will override given values; default: false

### Time

Option | Description
--- | ---
-b <TIME> --begin <TIME> | Defines the begin time; Previous trips will be discarded; default: 0
-e <TIME> --end <TIME> | Defines the end time; Later trips will be discarded; Defaults to the maximum time that SUMO can represent; default: 2147483

### Report

All applications of the SUMO-suite handle most of the reporting options the same way. These options are discussed at Basics/Using the Command Line Applications#Reporting Options.

Option | Description
--- | ---
-v --verbose | Switches to verbose output; default: false
-p --print-options | Prints option values before processing; default: false
-? --help | Prints this screen; default: false
-V --version | Prints the current version; default: false
-W --no-warnings | Disables output of warnings; default: false
-l <FILE> --log <FILE> | Writes all messages to FILE
--message-log <FILE> | Writes all non-error messages to FILE
--error-log <FILE> | Writes all warnings and errors to FILE
--stats-period <INT> | Defines how often statistics shall be printed; default: -1

### Random Number

All applications of the SUMO-suite handle randomisation options the same way. These options are discussed at Basics/Using the Command Line Applications#Random Number Options.

Option | Description
--- | ---
--random | Initialises the random number generator with the current system time; default: false
--seed <INT> | Initialises the random number generator with the given value; default: 23423

This page was last modified on 28 June 2012, at 07:52.